OGRE-Next: Ogre::DescriptorSetUav::Slot Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::DescriptorSetUav::Slot Struct Reference

`#include <OgreDescriptorSetUav.h>`

## Public Member Functions
| Slot ()
| Slot (SlotType _slotType)
bool | empty () const
BufferSlot & | getBuffer ()
const BufferSlot & | getBuffer () const
TextureSlot & | getTexture ()
const TextureSlot & | getTexture () const
bool | isBuffer () const
bool | isTexture () const
bool | operator!= (const Slot &other) const
bool | operator< (const Slot &other) const

## Public Attributes
SlotType | slotType

## Constructor & Destructor Documentation

## ◆ Slot() [1/2]

Ogre::DescriptorSetUav::Slot::Slot | ( |  | ) |
| inline

References buffer, slotType, and Ogre::DescriptorSetUav::SlotTypeBuffer.

Referenced by operator!=(), and operator<().

## ◆ Slot() [2/2]

Ogre::DescriptorSetUav::Slot::Slot | ( | SlotType | _slotType | ) |
| inline

References buffer, slotType, and Ogre::DescriptorSetUav::SlotTypeBuffer.

## Member Function Documentation

## ◆ empty()

bool Ogre::DescriptorSetUav::Slot::empty | ( |  | ) | const
| inline

References buffer, and texture.

## ◆ getBuffer() [1/2]

BufferSlot & Ogre::DescriptorSetUav::Slot::getBuffer | ( |  | ) |
| inline

References buffer, slotType, and Ogre::DescriptorSetUav::SlotTypeBuffer.

## ◆ getBuffer() [2/2]

const BufferSlot & Ogre::DescriptorSetUav::Slot::getBuffer | ( |  | ) | const
| inline

References buffer, slotType, and Ogre::DescriptorSetUav::SlotTypeBuffer.

## ◆ getTexture() [1/2]

TextureSlot & Ogre::DescriptorSetUav::Slot::getTexture | ( |  | ) |
| inline

References slotType, Ogre::DescriptorSetUav::SlotTypeTexture, and texture.

## ◆ getTexture() [2/2]

const TextureSlot & Ogre::DescriptorSetUav::Slot::getTexture | ( |  | ) | const
| inline

References slotType, Ogre::DescriptorSetUav::SlotTypeTexture, and texture.

## ◆ isBuffer()

bool Ogre::DescriptorSetUav::Slot::isBuffer | ( |  | ) | const
| inline

References slotType, and Ogre::DescriptorSetUav::SlotTypeBuffer.

## ◆ isTexture()

bool Ogre::DescriptorSetUav::Slot::isTexture | ( |  | ) | const
| inline

References slotType, and Ogre::DescriptorSetUav::SlotTypeTexture.

## ◆ operator!=()

bool Ogre::DescriptorSetUav::Slot::operator!= | ( | const Slot & | other | ) | const
| inline

References Slot(), buffer, slotType, Ogre::DescriptorSetUav::SlotTypeBuffer, and texture.

## ◆ operator<()

bool Ogre::DescriptorSetUav::Slot::operator< | ( | const Slot & | other | ) | const
| inline

References Slot(), buffer, slotType, Ogre::DescriptorSetUav::SlotTypeBuffer, and texture.

## Member Data Documentation

## ◆ buffer

BufferSlot Ogre::DescriptorSetUav::Slot::buffer

Referenced by Slot(), Slot(), empty(), getBuffer(), getBuffer(), operator!=(), and operator<().

## ◆ slotType

SlotType Ogre::DescriptorSetUav::Slot::slotType

Referenced by Slot(), Slot(), getBuffer(), getBuffer(), getTexture(), getTexture(), isBuffer(), isTexture(), operator!=(), and operator<().

## ◆ texture

TextureSlot Ogre::DescriptorSetUav::Slot::texture

Referenced by empty(), getTexture(), getTexture(), operator!=(), and operator<().

The documentation for this struct was generated from the following file:

- OgreDescriptorSetUav.h